## mummer 3.19

=== Makefile ===
#-------------------------------------------------------------------------------
#  Top level makefile for MUMmer 3.0
#
#  Dependencies: '/bin/sh', 'g++', 'gcc', 'csh', 'perl', 'sed'
#
#  'make all' builds all MUMmer code and scripts in the base directory
#
#  'make check' checks for the existance of the MUMmer dependencies
#
#  'make clean' removes *.o *~ core* and executable files
#
#  'make dist' creates a gzipped tarfile of the MUMmer directories
#
#  'make install' alias for 'make all' (for compatibility)
#
#  'make kurtz' builds Stefan's mummer program in the base directory
#
#  'make scripts' builds the MUMmer scripts in the base directory
#
#  'make tigr' builds TIGR's code in the base directory
#
#  'make uninstall' alias for 'make clean' (for compatibility)
#
#-------------------------------------------------------------------------------
SHELL = /bin/sh
VERSION := 3.19


TOP_DIR     := $(CURDIR)
BIN_DIR     := $(TOP_DIR)
AUX_BIN_DIR := $(TOP_DIR)/aux_bin

DOC_DIR       := $(TOP_DIR)/docs
SCRIPT_DIR    := $(TOP_DIR)/scripts
TIGR_SRC_DIR  := $(TOP_DIR)/src/tigr
KURTZ_SRC_DIR := $(TOP_DIR)/src/kurtz

CC   := $(filter /%,$(shell /bin/sh -c 'type gcc'))
CXX  := $(filter /%,$(shell /bin/sh -c 'type g++'))
SED  := $(filter /%,$(shell /bin/sh -c 'type sed'))
CSH  := $(filter /%,$(shell /bin/sh -c 'type csh'))
PERL := $(filter /%,$(shell /bin/sh -c 'type perl'))
AR   := $(filter /%,$(shell /bin/sh -c 'type ar'))

CPPFLAGS = -Wall -O3
LDFLAGS  =

FLATS = ACKNOWLEDGEMENTS COPYRIGHT INSTALL LICENSE Makefile README ChangeLog



#-- EXPORT THESE VARIABLES TO OTHER MAKEFILES
export BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS




#-- PHONY rules --#
.PHONY: all check clean dist scripts uninstall


all: kurtz tigr scripts


check:
ifndef TOP_DIR
	@echo "ERROR: could not find working directory"
endif
ifndef CC
	@echo "ERROR: 'gcc' GNU C compiler not found"
endif
ifndef CXX
	@echo "ERROR: 'g++' GNU C++ compiler not found"
endif
ifndef SED
	@echo "ERROR: 'sed' StreamEDitor not found"
endif
ifndef CSH
	@echo "ERROR: 'csh' C-shell not found"
endif
ifndef PERL
	@echo "ERROR: 'perl' PERL not found"
endif
ifndef AR
	@echo "ERROR: 'ar' GNU archiver not found"
endif
	@echo "check complete"


clean:
	rm -f *~ core*
	cd $(KURTZ_SRC_DIR); $(MAKE) clean
	cd $(TIGR_SRC_DIR); $(MAKE) clean
	cd $(SCRIPT_DIR); $(MAKE) clean
	cd $(DOC_DIR); $(MAKE) clean


dist: DISTDIR = MUMmer$(VERSION)
dist:
	mkdir $(DISTDIR)
	cp -r aux_bin $(DISTDIR)
	cp -r docs $(DISTDIR)
	cp -r scripts $(DISTDIR)
	cp -r src $(DISTDIR)
	cp $(FLATS) $(DISTDIR)
	rm -rf `find $(DISTDIR) -name CVS`
	tar -cvf $(DISTDIR).tar $(DISTDIR)
	gzip $(DISTDIR).tar
	rm -rf $(DISTDIR)


install: all


kurtz:
	cd $(KURTZ_SRC_DIR); $(MAKE) mummer


scripts:
	cd $(SCRIPT_DIR); $(MAKE) all


tigr:
	cd $(TIGR_SRC_DIR); $(MAKE) all


uninstall: clean


#-- END OF MAKEFILE --#

=== scripts/Makefile ===
#-- Imported variables from top level makefile
# BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS

ifndef BIN_DIR
BIN_DIR := $(CURDIR)
endif
ifndef AUX_BIN_DIR
AUX_BIN_DIR := $(CURDIR)
endif
ifndef SCRIPT_DIR
SCRIPT_DIR := $(CURDIR)
endif

SCRIPT_DIR := $(CURDIR)
SED := $(filter /%,$(shell /bin/sh -c 'type sed'))
CSH := $(filter /%,$(shell /bin/sh -c 'type csh'))
PERL := $(filter /%,$(shell /bin/sh -c 'type perl'))
VPATH := $(BIN_DIR)

ALL := exact-tandems mapview mummerplot nucmer promer \
       run-mummer1 run-mummer3 nucmer2xfig

#-- PHONY rules --#
.PHONY: all clean


all: $(ALL)


clean:
	rm -f *~
	cd $(BIN_DIR); rm -f $(ALL)




#-- not so PHONY rules --#
exact-tandems: exact-tandems.csh
	$(SED)  -e 's?__CSH_PATH?$(CSH)?g' \
		-e 's?__BIN_DIR?$(BIN_DIR)?g' \
		-e 's?__SCRIPT_DIR?$(SCRIPT_DIR)?g' \
		exact-tandems.csh > $(BIN_DIR)/exact-tandems
	chmod 755 $(BIN_DIR)/exact-tandems

mapview: mapview.pl
	$(SED)  -e 's?__PERL_PATH?$(PERL)?g' \
		-e 's?__SCRIPT_DIR?$(SCRIPT_DIR)?g' \
                mapview.pl > $(BIN_DIR)/mapview
	chmod 755 $(BIN_DIR)/mapview

mummerplot: mummerplot.pl Foundation.pm
	$(SED)  -e 's?__PERL_PATH?$(PERL)?g' \
                -e 's?__SCRIPT_DIR?$(SCRIPT_DIR)?g' \
                -e 's?__BIN_DIR?$(BIN_DIR)?g' \
                mummerplot.pl > $(BIN_DIR)/mummerplot
	chmod 755 $(BIN_DIR)/mummerplot

nucmer: nucmer.pl Foundation.pm
	$(SED)  -e 's?__PERL_PATH?$(PERL)?g' \
                -e 's?__SCRIPT_DIR?$(SCRIPT_DIR)?g' \
                -e 's?__AUX_BIN_DIR?$(AUX_BIN_DIR)?g' \
                -e 's?__BIN_DIR?$(BIN_DIR)?g' \
                 nucmer.pl > $(BIN_DIR)/nucmer
	chmod 755 $(BIN_DIR)/nucmer

promer: promer.pl Foundation.pm
	$(SED)  -e 's?__PERL_PATH?$(PERL)?g' \
                -e 's?__SCRIPT_DIR?$(SCRIPT_DIR)?g' \
                -e 's?__AUX_BIN_DIR?$(AUX_BIN_DIR)?g' \
                -e 's?__BIN_DIR?$(BIN_DIR)?g' \
                promer.pl > $(BIN_DIR)/promer
	chmod 755 $(BIN_DIR)/promer

run-mummer1: run-mummer1.csh
	$(SED)  -e 's?__CSH_PATH?$(CSH)?g' \
		-e 's?__BIN_DIR?$(BIN_DIR)?g' \
		run-mummer1.csh > $(BIN_DIR)/run-mummer1
	chmod 755 $(BIN_DIR)/run-mummer1

run-mummer3: run-mummer3.csh
	$(SED)  -e 's?__CSH_PATH?$(CSH)?g' \
		-e 's?__BIN_DIR?$(BIN_DIR)?g' \
		run-mummer3.csh > $(BIN_DIR)/run-mummer3
	chmod 755 $(BIN_DIR)/run-mummer3

nucmer2xfig: nucmer2xfig.pl
	$(SED)  -e 's?__PERL_PATH?$(PERL)?g' \
		nucmer2xfig.pl > $(BIN_DIR)/nucmer2xfig
	chmod 755 $(BIN_DIR)/nucmer2xfig

=== src/tigr/Makefile ===
#-- Imported variables from top level makefile
# BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS

ifndef BIN_DIR
BIN_DIR := $(CURDIR)
endif
ifndef AUX_BIN_DIR
AUX_BIN_DIR := $(CURDIR)
endif

OBJ_RULE = $(CXX) $(CPPFLAGS) $< -c -o $@
BIN_RULE = $(CXX) $(CPPFLAGS) $^ -o $(BIN_DIR)/$@; \
           chmod 755 $(BIN_DIR)/$@
AUX_BIN_RULE = $(CXX) $(CPPFLAGS) $^ -o $(AUX_BIN_DIR)/$@; \
           chmod 755 $(AUX_BIN_DIR)/$@
VPATH := $(AUX_BIN_DIR):$(BIN_DIR)

ALL := annotate combineMUMs delta-filter gaps mgaps \
     postnuc postpro prenuc prepro repeat-match \
     show-aligns show-coords show-tiling show-snps


#-- PHONY rules --#
.PHONY: all clean


all: $(ALL)


clean:
	rm -f *.o *~
	cd $(BIN_DIR); rm -f $(ALL)
	cd $(AUX_BIN_DIR); rm -f $(ALL)




#-- not so PHONY rules --#
delta.o: delta.cc delta.hh
	$(OBJ_RULE)

tigrinc.o: tigrinc.cc tigrinc.hh
	$(OBJ_RULE)

sw_align.o: sw_align.cc sw_align.hh tigrinc.hh
	$(OBJ_RULE)

translate.o: translate.cc translate.hh
	$(OBJ_RULE)


annotate: annotate.cc tigrinc.o
	$(BIN_RULE)

combineMUMs: combineMUMs.cc tigrinc.o
	$(BIN_RULE)

delta-filter: delta-filter.cc tigrinc.o delta.o
	$(BIN_RULE)

gaps: gaps.cc tigrinc.o
	$(BIN_RULE)

mgaps: mgaps.cc tigrinc.o
	$(BIN_RULE)

postnuc: postnuc.cc tigrinc.o sw_align.o
	$(AUX_BIN_RULE)

postpro: postpro.cc tigrinc.o sw_align.o translate.o
	$(AUX_BIN_RULE)

prenuc: prenuc.cc tigrinc.o
	$(AUX_BIN_RULE)

prepro: prepro.cc tigrinc.o translate.o
	$(AUX_BIN_RULE)

repeat-match: repeat-match.cc tigrinc.o
	$(BIN_RULE)

show-aligns: show-aligns.cc tigrinc.o translate.o delta.o
	$(BIN_RULE)

show-coords: show-coords.cc tigrinc.o delta.o
	$(BIN_RULE)

show-tiling: show-tiling.cc tigrinc.o delta.o
	$(BIN_RULE)

show-snps: show-snps.cc tigrinc.o translate.o delta.o
	$(BIN_RULE)

=== src/kurtz/mm3src/Makefile ===
#-- Imported variables from top level makefile
# BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS

##include ../Makedef

ifndef BIN_DIR
BIN_DIR := $(CURDIR)
endif

VPATH := $(BIN_DIR)

ALL := maxmat3.x maxmat3.dbg.x

LIBBASEDIR=../libbasedir
LIBSTREEDIR=../streesrc
INCLUDEDIR=-I${LIBBASEDIR} -I${LIBSTREEDIR}

CFLAGS=$(INCLUDEDIR)
##CFLAGS=${DEFINECFLAGS} $(INCLUDEDIR)
##LDFLAGS=${DEFINELDFLAGS}
SPLINTFLAGS=${INCLUDEDIR} -f ../Splintoptions -DDEBUG
LD=$(CC)

LIBBASE=$(LIBBASEDIR)/libbase.a
LIBBASEDBG=$(LIBBASEDIR)/libbase.dbg.a
LIBSTREE=$(LIBSTREEDIR)/libstree.a
LIBSTREEDBG=$(LIBSTREEDIR)/libstree.dbg.a

MUM3OBJECTS=maxmat3.o maxmatopt.o maxmatinp.o\
            findmumcand.o findmaxmat.o procmaxmat.o

MUM3DBGOBJECTS=maxmat3.dbg.o maxmatopt.dbg.o maxmatinp.dbg.o\
               findmumcand.dbg.o findmaxmat.dbg.o procmaxmat.dbg.o

SPLINTALL=maxmat3.splint maxmatopt.splint maxmatinp.splint\
          findmumcand.splint findmaxmat.splint procmaxmat.splint

.SUFFIXES: .dbg.o

all: $(ALL)

mummer: $(MUM3OBJECTS) $(LIBSTREE)
	$(LD) $(LDFLAGS) $(MUM3OBJECTS) $(LIBSTREE) $(LIBBASE)\
	-o $(BIN_DIR)/$@; chmod 755 $(BIN_DIR)/$@

maxmat3.x: $(MUM3OBJECTS) $(LIBSTREE)
	$(LD) $(LDFLAGS) $(MUM3OBJECTS) $(LIBSTREE) $(LIBBASE)\
	-o $(BIN_DIR)/$@; chmod 755 $(BIN_DIR)/$@

maxmat3.dbg.x: ${MUM3DBGOBJECTS} $(LIBSTREEDBG)
	$(LD) $(LDFLAGS) $(MUM3DBGOBJECTS) $(LIBSTREEDBG) $(LIBBASEDBG)\
	-lm -o $(BIN_DIR)/$@; chmod 755 $(BIN_DIR)/$@

include Filegoals.mf

.PHONY:clean
clean:splintclean
	rm -f *.[ox] shit[123] *~
	cd $(BIN_DIR); rm -f $(ALL) mummer

include Dependencies.mf

## mummer 3.20

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 #
 #-------------------------------------------------------------------------------
 SHELL = /bin/sh
-VERSION := 3.19
+VERSION := 3.20
 
 
 TOP_DIR     := $(CURDIR)

=== scripts/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 VPATH := $(BIN_DIR)
 
 ALL := exact-tandems mapview mummerplot nucmer promer \
-       run-mummer1 run-mummer3 nucmer2xfig
+       run-mummer1 run-mummer3 nucmer2xfig dnadiff
 
 #-- PHONY rules --#
 .PHONY: all clean
@@ -55,6 +55,13 @@
                 mummerplot.pl > $(BIN_DIR)/mummerplot
 	chmod 755 $(BIN_DIR)/mummerplot
 
+dnadiff: dnadiff.pl Foundation.pm
+	$(SED) -e 's?__PERL_PATH?$(PERL)?g' \
+               -e 's?__SCRIPT_DIR?$(SCRIPT_DIR)?g' \
+               -e 's?__BIN_DIR?$(BIN_DIR)?g' \
+                 dnadiff.pl > $(BIN_DIR)/dnadiff
+	chmod 755 $(BIN_DIR)/dnadiff
+
 nucmer: nucmer.pl Foundation.pm
 	$(SED)  -e 's?__PERL_PATH?$(PERL)?g' \
                 -e 's?__SCRIPT_DIR?$(SCRIPT_DIR)?g' \

=== src/tigr/Makefile ===
--- 
+++ 
@@ -17,7 +17,8 @@
 
 ALL := annotate combineMUMs delta-filter gaps mgaps \
      postnuc postpro prenuc prepro repeat-match \
-     show-aligns show-coords show-tiling show-snps
+     show-aligns show-coords show-tiling show-snps \
+     show-diff
 
 
 #-- PHONY rules --#
@@ -91,3 +92,5 @@
 show-snps: show-snps.cc tigrinc.o translate.o delta.o
 	$(BIN_RULE)
 
+show-diff: show-diff.cc tigrinc.o delta.o
+	$(BIN_RULE)

=== src/kurtz/libbasedir/Makefile ===
#-- Imported variables from top level makefile
# BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS

##include ../Makedef

SPLINTFLAGS=-f ../Splintoptions -DDEBUG

LD=$(CC)

##CFLAGS=${DEFINECFLAGS}

LIBBASE=libbase.a
LIBBASEDBG=libbase.dbg.a

.SUFFIXES: .dbg.o .c .o .inc

include Filelists.mf

all: $(LIBBASE) $(LIBBASEDBG)


protodef.h:
	Mkprotodef.sh `ls *.c` > protodef.h


$(LIBBASE): $(LIBOBJECTS)
	ar sruv $@ $(LIBOBJECTS)


include Filegoals.mf


$(LIBBASEDBG): $(LIBDEBUGOBJECTS)
	ar sruv $@ $(LIBDEBUGOBJECTS)


.PHONY:clean
clean:splintclean
	rm -f *.[oa] *.dbg.o *.inc *.aux *.dvi *.log *~


include Dependencies.mf

=== src/kurtz/mm3src/Makefile ===
--- 
+++ 
@@ -40,15 +40,15 @@
 all: $(ALL)
 
 mummer: $(MUM3OBJECTS) $(LIBSTREE)
-	$(LD) $(LDFLAGS) $(MUM3OBJECTS) $(LIBSTREE) $(LIBBASE)\
+	$(LD) $(LDFLAGS) $(MUM3OBJECTS) $(LIBSTREE) $(LIBBASE) \
 	-o $(BIN_DIR)/$@; chmod 755 $(BIN_DIR)/$@
 
 maxmat3.x: $(MUM3OBJECTS) $(LIBSTREE)
-	$(LD) $(LDFLAGS) $(MUM3OBJECTS) $(LIBSTREE) $(LIBBASE)\
+	$(LD) $(LDFLAGS) $(MUM3OBJECTS) $(LIBSTREE) $(LIBBASE) \
 	-o $(BIN_DIR)/$@; chmod 755 $(BIN_DIR)/$@
 
 maxmat3.dbg.x: ${MUM3DBGOBJECTS} $(LIBSTREEDBG)
-	$(LD) $(LDFLAGS) $(MUM3DBGOBJECTS) $(LIBSTREEDBG) $(LIBBASEDBG)\
+	$(LD) $(LDFLAGS) $(MUM3DBGOBJECTS) $(LIBSTREEDBG) $(LIBBASEDBG) \
 	-lm -o $(BIN_DIR)/$@; chmod 755 $(BIN_DIR)/$@
 
 include Filegoals.mf

=== src/kurtz/streesrc/Makefile ===
#-- Imported variables from top level makefile
# BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS

##include ../Makedef

LIBBASEDIR=../libbasedir
INCLUDEDIR=../libbasedir

# the following flags determines the maximal allowed input size of
# the suffix tree construction
# STREESMALL means that the maximal sequence length is 2 MB
# STREELARGE means that the maximal sequence length is 134 MB
# STREEHUGE  means that the maximal sequence length is 500 MB

#SIZEFLAG=-DSTREESMALL
#SIZEFLAG=-DSTREELARGE
SIZEFLAG=-DSTREEHUGE

CFLAGS=-I$(INCLUDEDIR) $(SIZEFLAG)
##CFLAGS=${DEFINECFLAGS} -I$(INCLUDEDIR) $(SIZEFLAG)
##LDFLAGS=${DEFINELDFLAGS}
SPLINTFLAGS=${SIZEFLAG} -I${INCLUDEDIR} -f ../Splintoptions -DDEBUG

#-DSTARTFACTOR=0.5

LD=${CC}

LIBBASE=${LIBBASEDIR}/libbase.a
LIBBASEDBG=${LIBBASEDIR}/libbase.dbg.a

PROTOFILES=access.c scanpref.c linkloc.c depthtab.c\
           ex2leav.c dfs.c overmax.c oversucc.c\
           addleafcount.c iterator.c streedbg.c

OBJECTS4=construct.4.o access.4.o scanpref.4.o linkloc.4.o depthtab.4.o\
          ex2leav.4.o dfs.4.o overmax.4.o oversucc.4.o\
          addleafcount.4.o iterator.4.o

OBJECTS=construct.o access.o scanpref.o linkloc.o depthtab.o\
          ex2leav.o dfs.o overmax.o oversucc.o\
          addleafcount.o iterator.o

DBGOBJECTS4=construct.dbg.4.o access.dbg.4.o streedbg.dbg.4.o\
             depthtab.dbg.4.o scanpref.dbg.4.o linkloc.dbg.4.o\
             ex2leav.dbg.4.o dfs.dbg.4.o overmax.dbg.4.o oversucc.dbg.4.o\
             addleafcount.dbg.4.o iterator.dbg.4.o

DBGOBJECTS=construct.dbg.o access.dbg.o streedbg.dbg.o depthtab.dbg.o\
             scanpref.dbg.o linkloc.dbg.o ex2leav.dbg.o dfs.dbg.o\
             overmax.dbg.o oversucc.dbg.o addleafcount.dbg.o iterator.dbg.o

SPLINTALL=access.splint scanpref.splint linkloc.splint depthtab.splint\
           ex2leav.splint dfs.splint overmax.splint oversucc.splint\
           addleafcount.splint iterator.splint streedbg.splint\
           loc.splint stree.splint

.SUFFIXES: .o .4.o .dbg.o .dbg.4.o .a .dbg.a .4.a .dbg.4.a .x .dbg.x

all: libs progs

libs: libstree.a libstree.dbg.a

progs: stree.x stree.dbg.x loc.x loc.dbg.x

include Filegoals.mf

libstree.4.a: $(OBJECTS4)
	ar sruv $@ $(OBJECTS4)

libstree.a: $(OBJECTS)
	ar sruv $@ $(OBJECTS)

libstree.dbg.4.a: $(DBGOBJECTS4)
	ar sruv $@ $(DBGOBJECTS4)

libstree.dbg.a: $(DBGOBJECTS)
	ar sruv $@ $(DBGOBJECTS)


stree.x: stree.o libstree.a
	$(LD) $(LDFLAGS) stree.o libstree.a $(LIBBASE) -o $@

loc.x: loc.o libstree.a
	$(LD) $(LDFLAGS) loc.o libstree.a $(LIBBASE) -o $@

stree.dbg.x: stree.dbg.o libstree.dbg.a 
	$(LD) $(LDFLAGS) stree.dbg.o libstree.dbg.a $(LIBBASEDBG) -o $@

loc.dbg.x: loc.dbg.o libstree.dbg.a 
	$(LD) $(LDFLAGS) loc.dbg.o libstree.dbg.a $(LIBBASEDBG) -o $@

streeproto.h: $(PROTOFILES) Mkstreeproto.sh
	@echo "make $@"
	@Mkstreeproto.sh ${PROTOFILES} > $@

.PHONY:clean
clean:splintclean
	rm -f *.[aox] *~

stree.dbg.o: streedbg.o construct.dbg.o

construct.dbg.o: construct.gen

include Dependencies.mf

## mummer 3.22~dfsg

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 #
 #-------------------------------------------------------------------------------
 SHELL = /bin/sh
-VERSION := 3.20
+VERSION := 3.22
 
 
 TOP_DIR     := $(CURDIR)
@@ -42,7 +42,8 @@
 PERL := $(filter /%,$(shell /bin/sh -c 'type perl'))
 AR   := $(filter /%,$(shell /bin/sh -c 'type ar'))
 
-CPPFLAGS = -Wall -O3
+CXXFLAGS = -O3
+CFLAGS = -O3
 LDFLAGS  =
 
 FLATS = ACKNOWLEDGEMENTS COPYRIGHT INSTALL LICENSE Makefile README ChangeLog
@@ -50,7 +51,7 @@
 
 
 #-- EXPORT THESE VARIABLES TO OTHER MAKEFILES
-export BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS
+export BIN_DIR AUX_BIN_DIR CXX CC CFLAGS CXXFLAGS LDFLAGS

## mummer 3.23~dfsg

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 #
 #-------------------------------------------------------------------------------
 SHELL = /bin/sh
-VERSION := 3.22
+VERSION := 3.23
 
 
 TOP_DIR     := $(CURDIR)

=== src/kurtz/Makefile ===
all:
	cd libbasedir; $(MAKE) all
	cd streesrc; $(MAKE) all
	cd mm3src; $(MAKE) all

clean:
	rm -f *~
	cd libbasedir; $(MAKE) clean
	cd streesrc; $(MAKE) clean
	cd mm3src; $(MAKE) clean

mummer:
	cd libbasedir; $(MAKE) libbase.a
	cd streesrc; $(MAKE) libstree.a
	cd mm3src; $(MAKE) mummer

splintall:
	cd libbasedir; ${MAKE} splintall
	cd streesrc; ${MAKE} splintall
	cd mm3src; ${MAKE} splintall

=== src/kurtz/mm3src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #-- Imported variables from top level makefile
-# BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS
+# BIN_DIR AUX_BIN_DIR CXX CC CFLAGS CXXFLAGS LDFLAGS
 
 ##include ../Makedef
 
@@ -15,7 +15,7 @@
 LIBSTREEDIR=../streesrc
 INCLUDEDIR=-I${LIBBASEDIR} -I${LIBSTREEDIR}
 
-CFLAGS=$(INCLUDEDIR)
+override CFLAGS+=$(INCLUDEDIR)
 ##CFLAGS=${DEFINECFLAGS} $(INCLUDEDIR)
 ##LDFLAGS=${DEFINELDFLAGS}
 SPLINTFLAGS=${INCLUDEDIR} -f ../Splintoptions -DDEBUG

=== debian/changelog ===
mummer (3.23~dfsg-2) unstable; urgency=low

  * debian/enable_building_with_tetex.patch: enable building with recent
    tetex by changing the layout slightly (s/a4wide/a4/)
    Closes: #669521
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * Debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Apr 2012 22:43:17 +0200

mummer (3.23~dfsg-1) unstable; urgency=low

  * New upstream release adding -D and --banded option to nucmer.
  * Updated debian/patches/02at_docs_web.diff.
  * Corrected VCS URLs (debian/control).
  * Conforms to Policy 3.9.2 (debian/control, no other changes needed).
  * Using Debhelper 8 (debian/control, debian/compat).
  * Support DEB_BUILD_OPTIONS via Debhelper (debian/rules).
  * Use dpkg source format 3.0 (quilt) as a patch system (debian/rules,
    debian/control, debian/source/format).
  * Simplify debian/rules using dh.
  * Pass Dpkg build flags in CFLAGS (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Tue, 07 Feb 2012 15:01:26 +0900

mummer (3.22~dfsg-2) unstable; urgency=low

  [ Andreas Tille ]
  * Make sure scripts will use the installation path instead of
    the temporary build path
    Closes: #575105
  * Make real use of debian/sh-replacement-scripts and drop csh
    (build-)dependency
  * incremented Standards-Version to reflect concordance with Debian Policy
    3.8.4 (no changes needed).
  * install tandem-repeat.awk which was lacking from installation
    previousely

  [ Charles Plessy ]
  * Updated upstream-metadata.yaml to use simple key=value form
    instead of BibTeX entry

 -- Andreas Tille <tille@debian.org>  Wed, 24 Mar 2010 17:10:43 +0000

mummer (3.22~dfsg-1) unstable; urgency=low

  * New upstream release:
    3.22
      - Significant 'dnadiff' bug fixes.
      - Unaligned contig output format switched to match show-diff format.
      - Dynamic memory allocation for run-mummer1.
      - Turned off output of the near useless .cluster files from nucmer and
        promer (let us know if you still want them).
    3.21
      - gcc compatibility fix.
  * debian/get-orig-source: rename mutilated upstream tarball.
  * debian/control:
    - incremented Standards-Version to reflect concordance with Debian Policy
      3.8.3 (no changes needed).
    - mummer-docs depends on ${misc:Depends}.
    - dropped versionned dependencies when they are even satisfied in oldstable.
    - dropped dependency on CDBS and patchutils, and added dependency on quilt.
    - using Debhelper 7 (debian/compat).
    - build-depend on csh for correct interpreter path detection.
  * debian/patches:
    - replaces some Makefile patches by environment variables in debian/rules.
    - replaced 02at_scripts.diff by separate files in sh-replacement-scripts.
    - added a series file to use Quilt.
    - dropped the patch ‘01sm_src_tigr.diff’ that allowed to use MUMmer on
      computers with less that 512 Mo of memory and is now obsoleted by
      this release.
    - refreshed the 02at_docs_web.diff patch that redirects the links for the
      suppressed PDF files to the upstream website.
  * debian/rules converted to debhelper (the build system is too odd to be
    handled gently by CDBS without patches).
  * Mangled ‘~dfsg’ from the Debian version number in debian/watch.
  * Converted debian/copyright to a machine-readable format.
  * Documented the PDF deletion and the patching in ‘debian/README.source’.
  * Turned the get-orig-source shell script into a debian/rule target.
  * Added an experimental collection of upstream metadata in YAML format
    (debian/upstream-metadata.yaml).

 -- Charles Plessy <plessy@debian.org>  Mon, 12 Oct 2009 18:12:18 +0900

mummer (3.20-3) unstable; urgency=low

  * Changed the doc-base section according to the new policy.
  * Added myself to the `Uploaders' field in `debian/control'.
  * Removed `debian/mummer.dirs', that was only creating empty directories.

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Jul 2008 10:33:20 +0900

mummer (3.20-2) unstable; urgency=low

  [ Charles Plessy ]
  * XS-DM-Upload-Allowed: Yes

  [ Steffen Moeller ]
  * Changed e-mail address in uploaders
  * Stripped long description of mummer-doc

  [ Andreas Tille ]
  * Do not install mummer.desktop because it is a command line
    application (Fixed debian/mummer.desktop anyway)
  * Standards-Version: 3.7.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 10 Jan 2008 12:13:24 +0100

mummer (3.20-1) unstable; urgency=low

  * New upstream version
  * Fixed watch file (Thanks to Nelson A. de Oliveira <naoliv@gmail.com>)
    Closes: #450211
  * Do not autogenerate debian/control
  * debian/rules: get-orig-source target that removes non-free docs
  * debian/rules: Fixed building docs
  * Separated patches tigr and kurtz; better Makefile for scripts
  * Added manpage link for dnadiff and mentioned dnadiff in debian/mummer.1
  * Used "Office" as main Freedesktop.Org category (not sure whether this
    is a really good choice)

 -- Andreas Tille <tille@debian.org>  Wed, 07 Nov 2007 13:25:34 +0100

mummer (3.19-1) unstable; urgency=low

  * Initial Release (Closes: Bug#201761).
    Thanks to Steffen Moeller <moeller@inb.uni-luebeck.de> who
    prepared a package for version 3.17 and just some
    cleanups were left.
  * New Standards-Version (no changes needed)
  * Switched to cdbs to simplify handling of patches
  * debian/compat: 5

 -- Andreas Tille <tille@debian.org>  Mon, 07 May 2007 14:11:09 +0200

=== debian/control ===
Source: mummer
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Steffen Moeller <moeller@debian.org>, Andreas Tille <tille@debian.org>, Charles Plessy <plessy@debian.org>
Build-Depends: debhelper (>= 9), texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended
Standards-Version: 3.9.3
Homepage: http://mummer.sourceforge.net/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mummer/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mummer/trunk/

Package: mummer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, perl, gawk
Description: Efficient sequence alignment of full genomes
 MUMmer is a system for rapidly aligning entire genomes, whether
 in complete or draft form. For example, MUMmer 3.0 can find all
 20-basepair or longer exact matches between a pair of 5-megabase genomes
 in 13.7 seconds, using 78 MB of memory, on a 2.4 GHz Linux desktop
 computer. MUMmer can also align incomplete genomes; it handles the 100s
 or 1000s of contigs from a shotgun sequencing project with ease, and
 will align them to another set of contigs or a genome using the NUCmer
 program included with the system. If the species are too divergent for
 DNA sequence alignment to detect similarity, then the PROmer program
 can generate alignments based upon the six-frame translations of both
 input sequences.

Package: mummer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for MUMmer
 This package contains the documentation for MUMmer, a system for rapidly
 aligning entire genomes.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

CFLAGS  += $(shell dpkg-buildflags --get CFLAGS)
# src/kurtz/mm3src/Makefile and src/kurtz/streesrc/Makefile make a use of CFLAGS that does not allow to override it, hence the following is added:
CFLAGS += -DSTREEHUGE -I$(CURDIR)/src/kurtz/libbasedir -I$(CURDIR)/src/kurtz/streesrc

TMPDIR      = $(CURDIR)/debian/tmp
BIN_DIR     = $(TMPDIR)/usr/bin
AUX_BIN_DIR = $(TMPDIR)/usr/lib/mummer
FINAL_BIN_DIR     = /usr/bin
FINAL_AUX_BIN_DIR = /usr/lib/mummer
FINAL_SCRIPT_DIR  = /usr/share/perl5/

override_dh_auto_build:
	[ -d $(BIN_DIR) ] || mkdir -p $(BIN_DIR)
	[ -d $(AUX_BIN_DIR) ] || mkdir -p $(AUX_BIN_DIR)
	$(MAKE) BIN_DIR=$(BIN_DIR) AUX_BIN_DIR=$(AUX_BIN_DIR) \
	        FINAL_BIN_DIR=$(FINAL_BIN_DIR) FINAL_AUX_BIN_DIR=$(FINAL_AUX_BIN_DIR) \
	        FINAL_SCRIPT_DIR=$(FINAL_SCRIPT_DIR) \
	        CFLAGS="$(CFLAGS)"
	$(MAKE) -C docs

override_dh_auto_test:
	$(MAKE) check

override_dh_prep:
# Unfortunately the upstream makefile does not separate the build and install steps.
	dh_prep -X debian/tmp

override_dh_auto_install:
# /usr/bin/annotate renamed /usr/bin/mummer-annotate for namespace and license (Artistic) reasons.
	mv $(BIN_DIR)/annotate $(BIN_DIR)/mummer-annotate

override_dh_compress:
	dh_compress -Xpdf

NAME    = $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION = $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | sed 's/~dfsg.*//')
TARBALL = MUMmer$(VERSION).tar.gz

get-orig-source:
	wget http://downloads.sourceforge.net/sourceforge/$(NAME)/$(TARBALL)
	rm -rf tmp
	mkdir tmp
	cd tmp ;\
	tar -xzf ../$(TARBALL) ;\
	rm -vf `find . -maxdepth 4 -name [MX]*.pdf` ;\
	GZIP="--best --no-name" tar -czf ../$(NAME)_$(VERSION)~dfsg.orig.tar.gz *
	rm -rf tmp

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg// \
 http://sf.net/mummer/MUMmer(.+)\.tar.gz

## mummer 3.23%2Bdfsg

=== src/kurtz/streesrc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #-- Imported variables from top level makefile
-# BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS
+# BIN_DIR AUX_BIN_DIR CXX CC CFLAGS CXXFLAGS LDFLAGS
 
 ##include ../Makedef
 
@@ -16,7 +16,7 @@
 #SIZEFLAG=-DSTREELARGE
 SIZEFLAG=-DSTREEHUGE
 
-CFLAGS=-I$(INCLUDEDIR) $(SIZEFLAG)
+override CFLAGS+=-I$(INCLUDEDIR) $(SIZEFLAG)
 ##CFLAGS=${DEFINECFLAGS} -I$(INCLUDEDIR) $(SIZEFLAG)
 ##LDFLAGS=${DEFINELDFLAGS}
 SPLINTFLAGS=${SIZEFLAG} -I${INCLUDEDIR} -f ../Splintoptions -DDEBUG

## mummer 3.23+dfsg

=== docs/Makefile ===
LATEX=pdflatex

maxmat3man.dvi:maxmat3man.tex
	${LATEX} maxmat3man
	${LATEX} maxmat3man

clean:
	rm -f *.dvi *.aux *.log *.out *~ maxmat3man.pdf

=== src/tigr/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #-- Imported variables from top level makefile
-# BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS
+# BIN_DIR AUX_BIN_DIR CXX CC CFLAGS CXXFLAGS LDFLAGS
 
 ifndef BIN_DIR
 BIN_DIR := $(CURDIR)
@@ -8,10 +8,10 @@
 AUX_BIN_DIR := $(CURDIR)
 endif
 
-OBJ_RULE = $(CXX) $(CPPFLAGS) $< -c -o $@
-BIN_RULE = $(CXX) $(CPPFLAGS) $^ -o $(BIN_DIR)/$@; \
+OBJ_RULE = $(CXX) $(CXXFLAGS) $< -c -o $@
+BIN_RULE = $(CXX) $(CXXFLAGS) $^ -o $(BIN_DIR)/$@; \
            chmod 755 $(BIN_DIR)/$@
-AUX_BIN_RULE = $(CXX) $(CPPFLAGS) $^ -o $(AUX_BIN_DIR)/$@; \
+AUX_BIN_RULE = $(CXX) $(CXXFLAGS) $^ -o $(AUX_BIN_DIR)/$@; \
            chmod 755 $(AUX_BIN_DIR)/$@
 VPATH := $(AUX_BIN_DIR):$(BIN_DIR)

=== src/kurtz/libbasedir/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #-- Imported variables from top level makefile
-# BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS
+# BIN_DIR AUX_BIN_DIR CXX CC CFLAGS CXXFLAGS LDFLAGS
 
 ##include ../Makedef

=== debian/changelog ===
mummer (3.23+dfsg-7) unstable; urgency=medium

  * Team Upload.
  * Ignore build date in docs
    (Makes build reproducible)
  * Propagate CPPFLAGS to enable hardening
    (fixes blhc)
  * Update d/u/metadata
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 26 Dec 2020 21:30:06 +0530

mummer (3.23+dfsg-6) unstable; urgency=medium

  [ Étienne Mollier ]
  * Team upload.
  * Removed dependency to C-Shell.

  [ Andreas Tille ]
  * Remove csh from docs
  * debhelper-compat (= 13)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 23 Jul 2020 20:31:54 +0200

mummer (3.23+dfsg-5) unstable; urgency=medium

  [ Charles Plessy ]
  * Fix Perl compatibility error in mummerplot
    Closes: #956746

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Build-Depends: csh to enable build-time tests
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Apr 2020 08:37:33 +0200

mummer (3.23+dfsg-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #901261)

  [ Andreas Tille ]
  * Standards-Version: 4.1.4
  * Point Vcs-fields to Salsa
  * debhelper 11
  * doc-base: debhelper 11 moves docs to /usr/share/doc/mummer - adapt path

 -- Andreas Tille <tille@debian.org>  Mon, 11 Jun 2018 08:38:49 +0200

mummer (3.23+dfsg-3) unstable; urgency=low

  * Team upload

  [ Fabian Klötzl ]
  * improve performance of delta2maf

  [ Steffen Moeller ]
  * Corrected EDAM annotation file

  [ Afif Elghraoui ]
  * d/watch: point to new upstream repository at GitHub

  [ Andreas Tille ]
  * Update d/copyright

 -- Afif Elghraoui <afif@debian.org>  Sun, 11 Feb 2018 18:02:05 -0500

mummer (3.23+dfsg-2) unstable; urgency=medium

  * Deactivate broken patch from mugsy that was taken over in last Debian
    release
    Closes: #843621
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2016 21:32:47 +0100

mummer (3.23+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * d/copyright: use Files-Excluded to clean up upstream source
  * cme fix dpkg-control
  * fix more spelling issues
  * hardening=+all

  [ Canberk Koç ]
  * Autopkgtest added

 -- Canberk Koç <canberkkoc@gmail.com>  Sun, 24 Jul 2016 01:53:16 +0300

mummer (3.23~dfsg-3) unstable; urgency=medium

  * Moved debian/upstream to debian/upstream/metadata
  * Add some patches from mugsy enhancing functionality by adding two tools
  * Add some patches from mugsy to include delta-filter -b for reporting
    duplications
  * cme fix dpkg-control
  * Remove SF privacy breach script from docs
  * Fix manpage syntax and add missing manpage
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Mon, 13 Apr 2015 22:29:27 +0200

=== debian/control ===
Source: mummer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-fonts-recommended,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/mummer
Vcs-Git: https://salsa.debian.org/med-team/mummer.git
Homepage: http://mummer.sourceforge.net/
Rules-Requires-Root: no

Package: mummer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         gawk
Description: Efficient sequence alignment of full genomes
 MUMmer is a system for rapidly aligning entire genomes, whether
 in complete or draft form. For example, MUMmer 3.0 can find all
 20-basepair or longer exact matches between a pair of 5-megabase genomes
 in 13.7 seconds, using 78 MB of memory, on a 2.4 GHz Linux desktop
 computer. MUMmer can also align incomplete genomes; it handles the 100s
 or 1000s of contigs from a shotgun sequencing project with ease, and
 will align them to another set of contigs or a genome using the NUCmer
 program included with the system. If the species are too divergent for
 DNA sequence alignment to detect similarity, then the PROmer program
 can generate alignments based upon the six-frame translations of both
 input sequences.

Package: mummer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for MUMmer
 MUMmer is a system for rapidly aligning entire genomes, whether
 in complete or draft form. For example, MUMmer 3.0 can find all
 20-basepair or longer exact matches between a pair of 5-megabase genomes
 in 13.7 seconds, using 78 MB of memory, on a 2.4 GHz Linux desktop
 computer. MUMmer can also align incomplete genomes; it handles the 100s
 or 1000s of contigs from a shotgun sequencing project with ease, and
 will align them to another set of contigs or a genome using the NUCmer
 program included with the system. If the species are too divergent for
 DNA sequence alignment to detect similarity, then the PROmer program
 can generate alignments based upon the six-frame translations of both
 input sequences.
 .
 This package contains the documentation for MUMmer, a system for rapidly
 aligning entire genomes.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

CFLAGS  += $(shell dpkg-buildflags --get CFLAGS)
# src/kurtz/mm3src/Makefile and src/kurtz/streesrc/Makefile make a use of CFLAGS that does not allow to override it, hence the following is added:
CFLAGS += -DSTREEHUGE -I$(CURDIR)/src/kurtz/libbasedir -I$(CURDIR)/src/kurtz/streesrc

TMPDIR      = $(CURDIR)/debian/tmp
BIN_DIR     = $(TMPDIR)/usr/bin
AUX_BIN_DIR = $(TMPDIR)/usr/lib/mummer
FINAL_BIN_DIR     = /usr/bin
FINAL_AUX_BIN_DIR = /usr/lib/mummer
FINAL_SCRIPT_DIR  = /usr/share/perl5/

override_dh_auto_build:
	[ -d $(BIN_DIR) ] || mkdir -p $(BIN_DIR)
	[ -d $(AUX_BIN_DIR) ] || mkdir -p $(AUX_BIN_DIR)
	dh_auto_build -- BIN_DIR=$(BIN_DIR) AUX_BIN_DIR=$(AUX_BIN_DIR) \
	        FINAL_BIN_DIR=$(FINAL_BIN_DIR) FINAL_AUX_BIN_DIR=$(FINAL_AUX_BIN_DIR) \
	        FINAL_SCRIPT_DIR=$(FINAL_SCRIPT_DIR) \
	        CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
	$(MAKE) -C docs

override_dh_prep:
# Unfortunately the upstream makefile does not separate the build and install steps.
	dh_prep -X debian/tmp

override_dh_auto_install:
# /usr/bin/annotate renamed /usr/bin/mummer-annotate for namespace and license (Artistic) reasons.
	mv $(BIN_DIR)/annotate $(BIN_DIR)/mummer-annotate

override_dh_compress:
	dh_compress -Xpdf

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/[+~]dfsg//g,repack,compression=xz,uversionmangle=s/alpha/~alpha/; s/beta/~beta/" \
 https://github.com/mummer4/mummer/tags \
 (?:.*?/)?v?(\d[\d.]*(?:alpha|beta)\d*)\.tar\.gz
